Bug 1546666 - [abrt] gnome-clocks: gweather_location_format_two_serialize(): gnome-clocks killed by SIGSEGV
Summary: [abrt] gnome-clocks: gweather_location_format_two_serialize(): gnome-clocks k...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-clocks
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:67d34d77d3091e1f9ecf893f859...
: 1547525 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-19 09:49 UTC by teromene
Modified: 2018-09-18 14:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-18 14:41:24 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (37.86 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: cgroup (321 bytes, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: core_backtrace (12.41 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: dso_list (10.05 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: environ (2.29 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: exploitable (82 bytes, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: limits (1.29 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: maps (41.55 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: mountinfo (4.03 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: open_fds (718 bytes, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details
File: var_log_messages (220 bytes, text/plain)
2018-02-19 09:49 UTC, teromene
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 793312 None None None 2018-02-21 17:05:28 UTC

Description teromene 2018-02-19 09:49:13 UTC
Version-Release number of selected component:
gnome-clocks-3.27.1-3.fc28

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: gweather_location_format_two_serialize
executable:     /usr/bin/gnome-clocks
journald_cursor: s=fd44541110f344328d3e2ed2219b2c7a;i=17e60;b=479579a32da641989d4c8f705c6258a9;m=16586f3909;t=5658d8ecf7407;x=d422d483f30a9d55
kernel:         4.15.0-1.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gweather_location_format_two_serialize at ../libgweather/gweather-location.c:1339
 #1 gweather_location_serialize at ../libgweather/gweather-location.c:1579
 #2 clocks_search_provider_serialize_location at src/gnome-clocks
 #3 __lambda7_ at src/gnome-clocks
 #4 ___lambda7__gfunc at src/gnome-clocks
 #5 g_ptr_array_foreach at garray.c:1521
 #6 clocks_search_provider_search_locations_co at src/gnome-clocks
 #7 g_task_return_now at gtask.c:1148
 #8 g_task_return at gtask.c:1206
 #9 clocks_search_provider_search_locations_recurse_co at src/gnome-clocks

Comment 1 teromene 2018-02-19 09:49:17 UTC
Created attachment 1397778 [details]
File: backtrace

Comment 2 teromene 2018-02-19 09:49:19 UTC
Created attachment 1397779 [details]
File: cgroup

Comment 3 teromene 2018-02-19 09:49:20 UTC
Created attachment 1397780 [details]
File: core_backtrace

Comment 4 teromene 2018-02-19 09:49:21 UTC
Created attachment 1397781 [details]
File: cpuinfo

Comment 5 teromene 2018-02-19 09:49:23 UTC
Created attachment 1397782 [details]
File: dso_list

Comment 6 teromene 2018-02-19 09:49:24 UTC
Created attachment 1397783 [details]
File: environ

Comment 7 teromene 2018-02-19 09:49:26 UTC
Created attachment 1397784 [details]
File: exploitable

Comment 8 teromene 2018-02-19 09:49:27 UTC
Created attachment 1397785 [details]
File: limits

Comment 9 teromene 2018-02-19 09:49:28 UTC
Created attachment 1397786 [details]
File: maps

Comment 10 teromene 2018-02-19 09:49:30 UTC
Created attachment 1397787 [details]
File: mountinfo

Comment 11 teromene 2018-02-19 09:49:31 UTC
Created attachment 1397788 [details]
File: open_fds

Comment 12 teromene 2018-02-19 09:49:32 UTC
Created attachment 1397789 [details]
File: proc_pid_status

Comment 13 teromene 2018-02-19 09:49:34 UTC
Created attachment 1397790 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2018-02-20 15:23:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 15 Yanko Kaneti 2018-02-21 16:41:08 UTC
*** Bug 1547525 has been marked as a duplicate of this bug. ***

Comment 16 Yanko Kaneti 2018-02-21 17:05:28 UTC
Added a workaround for the crashes in gnome-clocks-3.27.1-4.fc28

Comment 17 Lee Lian Hoy 2018-02-23 03:06:27 UTC
Similar problem has been detected:

The input devices randomly started freezing before this occured.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-clocks --gapplication-service
crash_function: gweather_location_format_two_serialize
executable:     /usr/bin/gnome-clocks
journald_cursor: s=6c017350c3404921832edc23277bfe76;i=158caf;b=027d3734ed6b409a82681d40eef5e177;m=2940a5f073;t=565d7b16cf978;x=9343e501e4a1a0a0
kernel:         4.16.0-0.rc2.git0.1.fc28.x86_64
package:        gnome-clocks-3.27.1-3.fc28
reason:         gnome-clocks killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000


Note You need to log in before you can comment on or make changes to this bug.